<?php 
/*
Plugin Name: Band Managment Tools	
Description: Band managment tool for use with DX2 Band Theme. 
Version:     1.0
Author:      DX2 Systems
Author URI:  http://dx2systems.com
*/
#Objects to better handle custom post types
if(!class_exists ("Album")) require_once dirname(__FILE__)."/objects.php";

#Helper functions
if(!function_exists("dx2bandhelpersincluded")) require_once dirname(__FILE__)."/helpers.php";

#Custom Post Types
require_once dirname(__FILE__)."/posttypes.php";

#Widgets
require_once dirname(__FILE__)."/widgets.php";

#Global meta fields
require_once dirname(__FILE__)."/metafields.php";

//add_action('admin_enqueue_scripts', 'bandmanager_admin_scripts');
add_action('admin_head', 'bandmanager_admin_scripts');
add_action( 'customize_controls_enqueue_scripts', 'bandmanager_admin_scripts' );
function bandmanager_admin_scripts() {
	 wp_enqueue_script( 'jquery-ui-core' );
	 wp_enqueue_script( 'jquery-ui-draggable' );
	 wp_enqueue_script( 'jquery-ui-datepicker' );
	 wp_enqueue_style( 'bandmanageradminstyle', plugins_url( 'admin.css', __FILE__ ));
	 wp_enqueue_script( 'bandmanageradminscrupt', plugins_url( 'admin.js', __FILE__ ), array('jquery'), '1.0.2', true );
}

register_activation_hook( __FILE__, 'bandmanager_pluginActivation' );
function bandmanager_pluginActivation()
{
	//auto save the new permalink structure to register the new post types immediately. 
	global $wp_rewrite; 
	update_option( "rewrite_rules", FALSE ); 
	$wp_rewrite->flush_rules( true );	
	update_option("bandmanager_showalbums", "on");
	update_option("bandmanager_showbandmembers", "on");
	update_option("bandmanager_showgear", "on");
	update_option("bandmanager_showgigs", "on");
}
