<?php 
defined( 'ABSPATH' ) or die( 'Error' );
add_action('manage_posts_custom_column', 'dx2band_CustomAdminColumns');
function dx2band_CustomAdminColumns($column){
	global $post;

	switch($column){
		case 'album_artwork':
		case "gear_artwork":
		case "bandmember_image":
			$imagepath = get_the_post_thumbnail ($post->ID, 'thumbnail');
			echo "<a href='/wp-admin/post.php?post=".$post->ID."&action=edit'>".$imagepath."</a>"; 
		break;
		case "album_releasedate":
			echo get_post_meta($post->ID,'album_releasedate', true);
		break;
		
		case "album_trackcount":
			$album = Album::Get()->ByID($post->ID);
			echo $album->GetSongCount();
		break;
		
		case "gear_purchasedate":
			echo get_post_meta($post->ID,'gear_datepurchased', true);
		break;
		case "bandmember_memberfrom":
			$datejoined = get_post_meta($post->ID,'bandmember_datejoined', true);
			$dateleft = get_post_meta($post->ID,'bandmember_dateleft', true);
			if($dateleft == "") $dateleft = "Present";
			echo $datejoined . " - ".$dateleft;
		break;
		
		case "song_albumname":
			$song_albumid = get_post_meta( $post->ID, 'song_albumid', true );
			$album = Album::Get()->ByID($song_albumid);
			echo "<a href='/wp-admin/post.php?post=".$album->ID."&action=edit'>".$album->Title."</a>";
		break;
	}
}
if(get_option('bandmanager_showalbums') == "on") {
	require_once dirname(__FILE__)."/posttypes/albums_cpt.php";
	require_once dirname(__FILE__)."/posttypes/songs_cpt.php";
}

if(get_option('bandmanager_showbandmembers') == "on") require_once dirname(__FILE__)."/posttypes/bandmembers_cpt.php";

if(get_option('bandmanager_showgear') == "on") require_once dirname(__FILE__)."/posttypes/gear_cpt.php";

if(get_option('bandmanager_showtestimonials') == "on")  require_once dirname(__FILE__)."/posttypes/testimonials_cpt.php";

if(get_option('bandmanager_showgigs') == "on")  require_once dirname(__FILE__)."/posttypes/gig_cpt.php";

add_theme_support('post-thumbnails', array ('album', 'gear', 'bandmember', 'gig', 'post', 'page'));