<?php 
defined( 'ABSPATH' ) or die( 'Error' );

// init process for registering our button
 add_action('init', 'dx2bandshortcodes');
 function dx2bandshortcodes() {

      //Abort early if the user will never see TinyMCE
      if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') && get_user_option('rich_editing') == 'true')
           return;

      //Add a callback to regiser our tinymce plugin   
      add_filter("mce_external_plugins", "dx2bandshortcodes_register_tinymce_plugin"); 

      // Add a callback to add our button to the TinyMCE toolbar
      add_filter('mce_buttons', 'dx2bandshortcodes_add_button');
}


//This callback registers our plug-in
function dx2bandshortcodes_register_tinymce_plugin($plugin_array) {
    $plugin_array['dx2bandshortcodes_button'] = getRelativePluginUrl().'js/shortcodes/dx2tinymceband.js';
    return $plugin_array;
}

//This callback adds our button to the toolbar
function dx2bandshortcodes_add_button($buttons) {
            //Add the button ID to the $button array
    $buttons[] = "dx2bandshortcodes_button";
    return $buttons;
}


###########################################################################
###########################################################################
###########################################################################

