<?php 
defined( 'ABSPATH' ) or die( 'Error' );
function dx2band_dashboardWidgets() {
	
	wp_add_dashboard_widget('site-overview', 'Band Overview', 'dx2band_dashboardOverview');	
}
add_action( 'wp_dashboard_setup', 'dx2band_dashboardWidgets' );

function dx2band_dashboardOverview() {
	$posts = wp_count_posts( 'post' )->publish;
	$pages = wp_count_posts( 'page' )->publish;
	$album = wp_count_posts( 'album' )->publish;
	$bandmember = wp_count_posts( 'bandmember' )->publish;
	$gear = wp_count_posts( 'gear' )->publish;
	$gig = wp_count_posts( 'gig' )->publish;
	$song = wp_count_posts( 'song' )->publish;
	$comments = wp_count_comments()->approved;
	$totalPosts = $posts + $pages + $album + $bandmember + $gear + $gig + $song;
	?>

	<strong>Site Stats</strong><br>
		<div class="siteoverviewstat"><span class="dashicons dashicons-admin-post"></span><?php echo $posts;?> Posts</div>
		<div class="siteoverviewstat"><span class="dashicons dashicons-admin-page"></span><?php echo $pages;?> Pages</div>
		<div class="siteoverviewstat"><span class="dashicons dashicons-album"></span><?php echo $album;?> Albums</div>
		<div class="siteoverviewstat"><span class="dashicons dashicons-format-audio"></span><?php echo $song;?> Songs</div>
		<div class="siteoverviewstat"><span class="dashicons dashicons-groups"></span><?php echo $bandmember;?> Band Members</div>
		<div class="siteoverviewstat"><span class="dashicons dashicons-admin-settings"></span><?php echo $gear;?> Gear</div>
		<div class="siteoverviewstat"><span class="dashicons dashicons-tickets-alt"></span><?php echo $gig;?> Gigs</div>
		<div class="siteoverviewstat"><span class="dashicons dashicons-format-chat"></span><?php echo $comments;?> Comments</div>
		<div style="clear:both"></div>
		<p><strong>Total : <?php echo $totalPosts;?> Pages</strong></p>
	<?php
}