jQuery(document).ready(function() {
	jQuery('.tabs .tab-links a').on('click', function(e)  
	{
		var currentAttrValue = jQuery(this).attr('href');
		// Show/Hide Tabs
		jQuery('.tabs ' + currentAttrValue).show().siblings().hide();
		// Change/remove current tab to active
		jQuery(this).parent('li').addClass('active').siblings().removeClass('active');
		e.preventDefault();
	});
});
jQuery(function() {
	jQuery( "#addBandMemberControl" ).draggable();
});

function toggleAddComposer()
{
  jQuery("#addBandMemberControl").toggle();
}

function deleteComposer(id)
{
	if (window.confirm("Are you sure?")) { 
		jQuery("#adminAlbumComposeTile" + id).remove(); 
	}
}
function deleteSongComposer(id)
{
	if (window.confirm("Are you sure?")) { 
		jQuery("#adminsongComposeTile" + id).remove(); 
	}
}
function addNewComposer()
{
	var number = jQuery('#totalExistingComposers').val();
	number++;
	var html = "<div class='adminAlbumComposeTile' id='adminAlbumComposeTile"+number+"'>";
	html += "<a class='composerRemove' href='javascript:deleteComposer("+number+")'>Remove Composer</a>";
	html += "<div id='composerimagepreview"+number+"'><img src='"+jQuery('#addcomposerimage').val()+"'></div>";
	html += "<a href='javascript:wpmediaupload(\"composerimage"+number+"\",\"composerimagepreview"+number+"\", 1)'>Change Image</a>";
	html += "<table><tr><th>Name</th></tr><tr><td><input type='text' name='composername"+number+"' value='" + jQuery('#addcomposername').val() + "'></td></tr>";
	html += "<tr><th>Role</th></tr><tr><td><input type='text' name='composerrole"+number+"' value='" + jQuery('#addcomposerrole').val() + "'></td></tr>";
	html += "<tr><th>Description</th></tr><tr><td><textarea name='composerdescription"+number+"'>" + jQuery('#addcomposerdescription').val() + "</textarea></td></tr>";
	html += "<tr><th>Band Member</th></tr><tr><td><select id='composerbandmember"+number+"' name='composerbandmember"+number+"'>" + jQuery("#addcomposerbandmember").clone().html() + "</select></td></tr>";
	html += "</table></div>";
	html += "<input type='hidden' id='composerimage"+number+"' name='composerimage"+number+"' value='"+jQuery('#addcomposerimage').val()+"'>";

	jQuery("#adminCurrentComposerList").append("<p>" + html + "</p>");
	jQuery("#composerbandmember"+number).val(jQuery('#addcomposerbandmember').val());
	jQuery('#addcomposername').val("");
	jQuery('#addcomposerrole').val("");
	jQuery('#addcomposerimage').val("")
	jQuery('#addcomposerimgpreview').html("")
	jQuery('#addcomposerdescription').val("");
	jQuery('#addcomposerbandmember').val("");
	toggleAddComposer();
	jQuery('#totalExistingComposers').val(number);		  
}

function wpmediaupload(writeurlto, writepreviewto, returnthumb)
{
	var image = wp.media({ 
		title: 'Upload Image',
		multiple: false
	}).open()
	.on('select', function(e){
		var uploaded_image = image.state().get('selection').first();
		console.log(uploaded_image.toJSON());
		if(returnthumb == 0) var image_url = uploaded_image.toJSON().url;
		else var image_url = uploaded_image.toJSON().sizes.thumbnail.url;
		jQuery('#' + writeurlto).val(image_url);
		if(writepreviewto != "") jQuery('#' + writepreviewto).html("<img src ='" + image_url + "'/>");
	});
}

function wpmediauploadfile(writeurlto)
{
	var image = wp.media({ 
		title: 'Upload Image',
		multiple: false
	}).open()
	.on('select', function(e){
		var uploaded_image = image.state().get('selection').first();
		//console.log(uploaded_image.toJSON());
		var fileUrl = uploaded_image.toJSON().url;
		jQuery('#' + writeurlto).val(fileUrl);
	});
}
function showAlbumQueryTypeFields(widgetid)
{
	var field = jQuery("#albumwidgetform"+widgetid+" #albumquerytype").val();
	jQuery("#albumwidgetform"+widgetid+".drilldownfields").slideUp();
	jQuery("#albumwidgetform"+widgetid+" #" + field).slideDown();
	jQuery( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
}

function showQueryTypeFields(widgetid)
{
	var field = jQuery("#gigwidgetformwrapper"+widgetid+" #gigquerytype").val();
	jQuery("#gigwidgetformwrapper"+widgetid+" .drilldownfields").slideUp();
	jQuery("#gigwidgetformwrapper"+widgetid+" #" + field).slideDown();
	jQuery( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
}
function showPostQueryTypeFields (querytype, widgetid) {
	var field = jQuery("#postwidgetformwrapper"+widgetid+" #" + querytype).val();
	jQuery("#postwidgetformwrapper"+widgetid+" .drilldownfields").slideUp();
	jQuery("#postwidgetformwrapper"+widgetid+" #" + field).slideDown();
	jQuery( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
}
jQuery(function() {
	jQuery( "#datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
	jQuery( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
});